#ifndef _CONFIG_H
#define _CONFIG_H

#include <QCoreApplication>
#include "support/utils.h"

#define CANTATA_MAKE_VERSION(a, b, c) (((a) << 16) | ((b) << 8) | (c))
/*
  NOTE: If CANTATA_REV_URL, or CANTATA_URL, are changed, then cantata-dynamac,
        CMakeLists.txt, README, and cantata.desktop  will need updating.
        dbus/com.googlecode.cantata.xml will also need renaming/updating.
*/
#define PACKAGE_NAME  "cantata"
#define PACKAGE_VERSION CANTATA_MAKE_VERSION(1, 4, 2)
#define PACKAGE_STRING  PACKAGE_NAME" 1.4.2"
#define PACKAGE_VERSION_STRING "1.4.2"
#define INSTALL_PREFIX "/usr"

#define ENABLE_DEVICES_SUPPORT 1
/* #undef ENABLE_REMOTE_DEVICES */
#define ENABLE_ONLINE_SERVICES 1
#define ENABLE_STREAMS 1
#define ENABLE_DYNAMIC 1
/* #undef COMPLEX_TAGLIB_FILENAME */
#define TAGLIB_FOUND 1
#define TAGLIB_EXTRAS_FOUND 1
#define TAGLIB_ASF_FOUND
#define TAGLIB_MP4_FOUND 1
#define MTP_FOUND 1
/* #undef ENABLE_HTTP_STREAM_PLAYBACK */
/* #undef ENABLE_KWALLET */
#define FFMPEG_FOUND 1
#define MPG123_FOUND 1
/* #undef CDDB_FOUND */
#define MUSICBRAINZ5_FOUND 1
#define ENABLE_REPLAYGAIN_SUPPORT 1
#define TAGLIB_CAN_SAVE_ID3VER 1
/* #undef ENABLE_PROXY_CONFIG */
#define ENABLE_EXTERNAL_TAGS 1
#define CDPARANOIA_HAS_CACHEMODEL_SIZE 1
#define QT_QTDBUS_FOUND 1
#define ENABLE_UNCACHED_MTP 1
/* #undef ENABLE_HTTP_SERVER */
/* #undef ENABLE_MODEL_TEST */
#define USE_SYSTEM_MENU_ICON 1
/* #undef ENABLE_UBUNTU */

#ifdef ENABLE_UBUNTU
#define CANTATA_REV_URL "com.ubuntu.developer.nikwen.cantata-touch" //Sadly, it requires the com.ubuntu.developer.nikwen prefix to be published to the click store
#else
#define CANTATA_REV_URL "com.googlecode.cantata"
#endif
#define CANTATA_URL "cantata.googlecode.com"

#define CANTATA_SYS_CONFIG_DIR  Utils::systemDir(QLatin1String("config"))
#define CANTATA_SYS_ICONS_DIR   Utils::systemDir(QLatin1String("icons"))
#define CANTATA_SYS_MPD_DIR     Utils::systemDir(QLatin1String("mpd"))
#define CANTATA_SYS_TRANS_DIR   Utils::systemDir(QLatin1String("translations"))
#define CANTATA_SYS_SCRIPTS_DIR Utils::systemDir(QLatin1String("scripts"))

#endif
